org.richfaces.component

## Class UIPanelMenuItem

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UICommand
      - - org.ajax4jsf.component.AjaxActionComponent
        - - org.richfaces.component.UIPanelMenuItem

- All Implemented Interfaces:
    javax.faces.component.ActionSource, javax.faces.component.ActionSource2, javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxComponent, org.ajax4jsf.event.AjaxSource
  Direct Known Subclasses:
    HtmlPanelMenuItem

      public abstract class UIPanelMenuItem
      extends org.ajax4jsf.component.AjaxActionComponent

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_TYPE`

    - ### Fields inherited from class org.ajax4jsf.component.AjaxActionComponent

      `FOCUS_DATA_ID`

    - ### Fields inherited from class javax.faces.component.UICommand

      `COMPONENT_FAMILY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

    - ### Fields inherited from interface org.ajax4jsf.component.AjaxComponent

      `AJAX_COMPONETT_PARAMETER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIPanelMenuItem()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract java.lang.String` | `getDisabledClass()`
    `abstract java.lang.String` | `getDisabledStyle()`
    `abstract java.lang.String` | `getHoverClass()`
    `abstract java.lang.String` | `getHoverStyle()`
    `abstract java.lang.String` | `getIcon()`
    `abstract java.lang.String` | `getIconClass()`
    `abstract java.lang.String` | `getIconDisabled()`
    `abstract java.lang.String` | `getIconStyle()`
    `abstract java.lang.Object` | `getLabel()`
    `abstract java.lang.String` | `getMode()`
    `abstract java.lang.String` | `getName()`
    `abstract java.lang.String` | `getStyle()`
    `abstract java.lang.String` | `getStyleClass()`
    `abstract java.lang.String` | `getTarget()`
    `abstract boolean` | `isDisabled()`
    `abstract void` | `setDisabled(boolean disabled)`
    `abstract void` | `setDisabledClass(java.lang.String disabledClass)`
    `abstract void` | `setDisabledStyle(java.lang.String disabledStyle)`
    `abstract void` | `setHoverClass(java.lang.String hoverClass)`
    `abstract void` | `setHoverStyle(java.lang.String hoverStyle)`
    `abstract void` | `setIcon(java.lang.String icon)`
    `abstract void` | `setIconClass(java.lang.String iconClass)`
    `abstract void` | `setIconDisabled(java.lang.String iconDisabled)`
    `abstract void` | `setIconStyle(java.lang.String iconStyle)`
    `abstract void` | `setLabel(java.lang.Object label)`
    `abstract void` | `setMode(java.lang.String mode)`
    `abstract void` | `setName(java.lang.String string)`
    `abstract void` | `setStyle(java.lang.String style)`
    `abstract void` | `setStyleClass(java.lang.String styleClass)`
    `abstract void` | `setTarget(java.lang.String target)`

    - ### Methods inherited from class org.ajax4jsf.component.AjaxActionComponent

      `addAjaxListener, broadcast, getAjaxListeners, getSingleComponent, queueEvent, removeAjaxListener, setupReRender, setupReRender`

    - ### Methods inherited from class javax.faces.component.UICommand

      `addActionListener, getAction, getActionExpression, getActionListener, getActionListeners, getFamily, getValue, isImmediate, removeActionListener, restoreState, saveState, setAction, setActionExpression, setActionListener, setImmediate, setValue`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId, getValueExpression, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.ajax4jsf.component.AjaxComponent

      `getData, getEventsQueue, getFocus, getOnbeforedomupdate, getOncomplete, getProcess, getRequestDelay, getReRender, getSimilarityGroupingId, getStatus, getTimeout, isAjaxSingle, isBypassUpdates, isIgnoreDupResponses, isLimitToList, setAjaxSingle, setBypassUpdates, setData, setEventsQueue, setFocus, setIgnoreDupResponses, setLimitToList, setOnbeforedomupdate, setOncomplete, setProcess, setRequestDelay, setReRender, setSimilarityGroupingId, setStatus, setTimeout`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIPanelMenuItem

          public UIPanelMenuItem()

  - ### Method Detail

    - #### getMode

          public abstract java.lang.String getMode()

    - #### setMode

          public abstract void setMode(java.lang.String mode)

    - #### getIcon

          public abstract java.lang.String getIcon()

    - #### setIcon

          public abstract void setIcon(java.lang.String icon)

    - #### getIconDisabled

          public abstract java.lang.String getIconDisabled()

    - #### setIconDisabled

          public abstract void setIconDisabled(java.lang.String iconDisabled)

    - #### isDisabled

          public abstract boolean isDisabled()

    - #### setDisabled

          public abstract void setDisabled(boolean disabled)

    - #### getLabel

          public abstract java.lang.Object getLabel()

    - #### setLabel

          public abstract void setLabel(java.lang.Object label)

    - #### getHoverClass

          public abstract java.lang.String getHoverClass()

    - #### setHoverClass

          public abstract void setHoverClass(java.lang.String hoverClass)

    - #### getHoverStyle

          public abstract java.lang.String getHoverStyle()

    - #### setHoverStyle

          public abstract void setHoverStyle(java.lang.String hoverStyle)

    - #### getDisabledClass

          public abstract java.lang.String getDisabledClass()

    - #### setDisabledClass

          public abstract void setDisabledClass(java.lang.String disabledClass)

    - #### getDisabledStyle

          public abstract java.lang.String getDisabledStyle()

    - #### setDisabledStyle

          public abstract void setDisabledStyle(java.lang.String disabledStyle)

    - #### getStyleClass

          public abstract java.lang.String getStyleClass()

    - #### setStyleClass

          public abstract void setStyleClass(java.lang.String styleClass)

    - #### getStyle

          public abstract java.lang.String getStyle()

    - #### setStyle

          public abstract void setStyle(java.lang.String style)

    - #### getIconClass

          public abstract java.lang.String getIconClass()

    - #### setIconClass

          public abstract void setIconClass(java.lang.String iconClass)

    - #### getIconStyle

          public abstract java.lang.String getIconStyle()

    - #### setIconStyle

          public abstract void setIconStyle(java.lang.String iconStyle)

    - #### getTarget

          public abstract java.lang.String getTarget()

    - #### setTarget

          public abstract void setTarget(java.lang.String target)

    - #### setName

          public abstract void setName(java.lang.String string)

    - #### getName

          public abstract java.lang.String getName()

Copyright © 2013. All Rights Reserved.